## xdg-desktop-portal-wlr 0.7.0

=== meson_options.txt ===
option('sd-bus-provider', type: 'combo', choices: ['auto', 'libsystemd', 'libelogind', 'basu'], value: 'auto', description: 'Provider of the sd-bus library')
option('systemd', type: 'feature', value: 'auto', description: 'Install systemd user service unit')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')

## xdg-desktop-portal-wlr 0.1.0

=== debian/changelog ===
xdg-desktop-portal-wlr (0.1.0-3) unstable; urgency=medium

  * Ship systemd service file (Closes: #982691)
  * Bump standards version to 4.5.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Sun, 14 Feb 2021 08:38:50 +0100

xdg-desktop-portal-wlr (0.1.0-2) unstable; urgency=medium

  * Source-only upload as-is.

 -- Birger Schacht <birger@debian.org>  Fri, 23 Oct 2020 17:49:59 +0200

xdg-desktop-portal-wlr (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #959944)

 -- Birger Schacht <birger@debian.org>  Sun, 04 Oct 2020 11:11:40 +0200

=== debian/control ===
Source: xdg-desktop-portal-wlr
Section: x11
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson,
               ninja-build,
               pkg-config,
               cmake,
               libpipewire-0.3-dev,
               libwayland-dev,
               wayland-protocols,
               libsystemd-dev | libelogind-dev,
               systemd
Standards-Version: 4.5.1
Homepage: https://github.com/emersion/xdg-desktop-portal-wlr
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/xdg-desktop-portal-wlr.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/xdg-desktop-portal-wlr

Package: xdg-desktop-portal-wlr
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xdg-desktop-portal
Description: xdg-desktop-portal backend for wlroots
 Support for the screenshot, screencast, and possibly remote-desktop
 xdg-desktop-portal interfaces for wlroots based compositors.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xdg-desktop-portal-wlr-$1\.tar\.gz/ \
  https://github.com/emersion/xdg-desktop-portal-wlr/tags .*/v?(\d\S+)\.tar\.gz

## xdg-desktop-portal-wlr 0.4.0

=== debian/changelog ===
xdg-desktop-portal-wlr (0.4.0-1) unstable; urgency=medium

  * New upstream version (Closes: #989503)
  * Add new build dependency libinih-dev

 -- Birger Schacht <birger@debian.org>  Tue, 31 Aug 2021 19:46:07 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                ninja-build,
                pkg-config,
                cmake,
+               libinih-dev,
                libpipewire-0.3-dev,
                libwayland-dev,
                wayland-protocols,

## xdg-desktop-portal-wlr 0.5.0

=== debian/changelog ===
xdg-desktop-portal-wlr (0.5.0-3) unstable; urgency=medium

  * Provide xdg-desktop-portal-backend (Closes: #1005869)
  * Set maintainer to team address
  * Update year in d/copyright
  * Drop filenamemangle option from d/watch

 -- Birger Schacht <birger@debian.org>  Wed, 16 Feb 2022 15:01:05 +0100

xdg-desktop-portal-wlr (0.5.0-2) unstable; urgency=medium

  * Add scdoc to build-depends, to build manpage
  * Add pipewire to dependencies
  * Mark as Multi-Arch: foreign (Closes: #1002077)
  * Update year in d/copyright

 -- Birger Schacht <birger@debian.org>  Thu, 23 Dec 2021 18:09:34 +0100

xdg-desktop-portal-wlr (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.6.0.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Sat, 06 Nov 2021 19:12:40 +0100

=== debian/control ===
Source: xdg-desktop-portal-wlr
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson,
               ninja-build,
               pkg-config,
               cmake,
               libinih-dev,
               libpipewire-0.3-dev,
               libwayland-dev,
               wayland-protocols,
               libsystemd-dev | libelogind-dev,
               systemd,
               scdoc
Standards-Version: 4.6.0.1
Homepage: https://github.com/emersion/xdg-desktop-portal-wlr
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/xdg-desktop-portal-wlr.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/xdg-desktop-portal-wlr

Package: xdg-desktop-portal-wlr
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, xdg-desktop-portal, pipewire
Provides: xdg-desktop-portal-backend
Description: xdg-desktop-portal backend for wlroots
 Support for the screenshot, screencast, and possibly remote-desktop
 xdg-desktop-portal interfaces for wlroots based compositors.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dsystemd=enabled

=== debian/watch ===
version=4
https://github.com/emersion/xdg-desktop-portal-wlr/tags .*/v?(\d\S+)\.tar\.gz

## xdg-desktop-portal-wlr 0.6.0

=== debian/changelog ===
xdg-desktop-portal-wlr (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Add new build-dependencies: libdrm-dev and libgbm-dev
  * Bump Standards-Version to 4.6.1.0
  * Drop copyright entry for removed file
  * Update d/watch to use gittag and check gpg signature
  * Add upstream signing key

 -- Birger Schacht <birger@debian.org>  Sat, 02 Jul 2022 10:11:20 +0200

xdg-desktop-portal-wlr (0.5.0-4) unstable; urgency=medium

  * d/rules: Set -Wno-error=implicit-function-declaration (Closes: #1009464)

 -- Birger Schacht <birger@debian.org>  Wed, 04 May 2022 18:07:54 +0200

## xdg-desktop-portal-wlr 0.7.0

=== debian/changelog ===
xdg-desktop-portal-wlr (0.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
    - fixes screen sharing with latest chromium. (Closes: #1034735)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 28 Apr 2023 10:59:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,16 @@
                ninja-build,
                pkg-config,
                cmake,
+               libdrm-dev,
                libinih-dev,
+               libgbm-dev,
                libpipewire-0.3-dev,
                libwayland-dev,
                wayland-protocols,
                libsystemd-dev | libelogind-dev,
                systemd,
                scdoc
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/emersion/xdg-desktop-portal-wlr
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/xdg-desktop-portal-wlr.git

## xdg-desktop-portal-wlr 0.7.1

=== debian/changelog ===
xdg-desktop-portal-wlr (0.7.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:36:23 +1100

xdg-desktop-portal-wlr (0.7.1-1build1) noble; urgency=high

  * No change rebuild against libpipewire-0.3-0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 18:00:27 +0100

xdg-desktop-portal-wlr (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: replace pkg-config with pkgconf

 -- Birger Schacht <birger@debian.org>  Sun, 11 Feb 2024 15:00:57 +0100

xdg-desktop-portal-wlr (0.7.0-2) unstable; urgency=medium

  * d/control:
   + replace build dependency systemd with systemd-dev (Closes: #1060498)
   + bump standards version (no changes needed)
  * d/copyright: bump years


 -- Birger Schacht <birger@debian.org>  Sat, 13 Jan 2024 13:00:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xdg-desktop-portal-wlr
 Section: x11
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson,
                ninja-build,
-               pkg-config,
+               pkgconf,
                cmake,
                libdrm-dev,
                libinih-dev,
@@ -15,9 +16,9 @@
                libwayland-dev,
                wayland-protocols,
                libsystemd-dev | libelogind-dev,
-               systemd,
+               systemd-dev,
                scdoc
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/emersion/xdg-desktop-portal-wlr
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/xdg-desktop-portal-wlr.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND=-Wno-error=implicit-function-declaration
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/emersion/xdg-desktop-portal-wlr refs/tags/v?(\d\S+)

## xdg-desktop-portal-wlr 0.8.0

=== debian/changelog ===
xdg-desktop-portal-wlr (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to version 5 format
  * Drop pristine-tar from debian/gbp.conf
  * Bump Standards-Version in debian/control
  * Drop redundant Rules-Requires-Root field in debian/control
  * Bump years in debian/copyright

 -- Birger Schacht <birger@debian.org>  Sun, 30 Nov 2025 10:02:07 +0100

xdg-desktop-portal-wlr (0.7.1-2) unstable; urgency=medium

  * debian/control: add default supported choosers as recommended packages
    (Closes: #1091424)

 -- Birger Schacht <birger@debian.org>  Fri, 03 Jan 2025 10:16:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xdg-desktop-portal-wlr
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson,
@@ -18,9 +17,8 @@
                libsystemd-dev | libelogind-dev,
                systemd-dev,
                scdoc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/emersion/xdg-desktop-portal-wlr
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/xdg-desktop-portal-wlr.git
 Vcs-Browser: https://salsa.debian.org/swaywm-team/xdg-desktop-portal-wlr
 
@@ -28,6 +26,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, xdg-desktop-portal, pipewire
+Recommends: slurp | wofi | bemenu
 Provides: xdg-desktop-portal-backend
 Description: xdg-desktop-portal backend for wlroots
  Support for the screenshot, screencast, and possibly remote-desktop

=== debian/watch ===
Version: 5

Source: https://github.com/emersion/xdg-desktop-portal-wlr
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
Pgp-Mode: gittag

## xdg-desktop-portal-wlr 0.8.1

=== debian/changelog ===
xdg-desktop-portal-wlr (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
   + Bump Standards-Version to 4.7.3
   + Drop redundant Priority: optional field
  * debian/copyright:
   + Update years to 2026

 -- Birger Schacht <birger@debian.org>  Sat, 10 Jan 2026 20:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xdg-desktop-portal-wlr
 Section: x11
-Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -17,7 +16,7 @@
                libsystemd-dev | libelogind-dev,
                systemd-dev,
                scdoc
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/emersion/xdg-desktop-portal-wlr
 Vcs-Git: https://salsa.debian.org/swaywm-team/xdg-desktop-portal-wlr.git
 Vcs-Browser: https://salsa.debian.org/swaywm-team/xdg-desktop-portal-wlr
